post
/api/v1/rules/lint/rego
lint the content of the rego script
CLIENT REQUEST
curl -X 'POST'
-H
'Accept: application/json; charset=UTF-8'
-H
'Content-Type: application/json; charset=UTF-8'
'https://api-yourfqdn/api/v1/rules/lint/rego'
-d
'{
"script" : "cGFja2FnZSBwYW53LmNvbXBsaWFuY2UKCmltcG9ydCByZWdvLnYxCgptYXRjaCBjb250YWlucyB7Im1zZyI6IG1zZ30gaWYgewojIEFkZCB5b3VyIGxvZ2ljIGhlcmUKbXNnIDo9ICI8Y3VzdG9tIHZpb2xhdGlvbiBtZXNzYWdlPiIKfQ=="
}'
import http.client
conn = http.client.HTTPSConnection("api-yourfqdn")
conn.request("POST", "/api/v1/rules/lint/rego")
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://api-yourfqdn/api/v1/rules/lint/rego")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyconst data = null;
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://api-yourfqdn/api/v1/rules/lint/rego");
xhr.send(data);HttpResponse<String> response = Unirest.post("https://api-yourfqdn/api/v1/rules/lint/rego")
.asString();import Foundation
let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/api/v1/rules/lint/rego")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-yourfqdn/api/v1/rules/lint/rego",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/api/v1/rules/lint/rego");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://api-yourfqdn/api/v1/rules/lint/rego");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);Body parameters
required
scriptstringbyte
application/json; charset=UTF-8
scriptstringbyte
Example:
"package panw.compliance\n\nimport rego.v1\n\nmatch contains {\"msg\": msg} if {\n# Add your logic here\nmsg := \"<custom violation message>\"\n}"REQUEST
[application/json; charset=UTF-8 content]Responses